@charset "UTF-8";
/*====================
  投稿
====================*/
.single-content {
  position: relative;

  .thumbnail {
    margin-bottom: 40px;
    text-align: center;
    max-width: 750px;
    margin-inline: auto;
  }

  .pager {
    border-top: 1px solid #000;
    padding: 10px 20px 0;
    text-align: center;
    margin-top: 100px;

    a {
      color: var(--color-main);

      &:hover {
        text-decoration: none;
      }
    }
  }
  .pager_list {
    display: inline-block;
    margin: 0;
  }
}

.single-content_header {
  margin-bottom: 40px;

  .single-ttl {
    text-align: center;
    font-size: 2.8rem;
    font-weight: 400;
    color: var(--color-sub);
  }
}

.information-content {
  .single-ttl {
    text-align: left;
    margin-bottom: 10px;
  }
}

.single-content_body {
  & h2 {
    font-size: 2.6rem;
    font-weight: 400;
    margin-top: 3rem;
    text-align: left;
    line-height: 1.5;
    border-bottom: 1px solid var(--color-main);
    padding-bottom: 10px;
    padding-inline: 10px;
  }
  & h3 {
    border-radius: 5px;
    font-size: 2.4rem;
    margin-top: 3rem;
    line-height: 1.5;
    font-weight: 400;
  }
  & h4 {
    font-size: 2rem;
    margin-top: 2rem;
    line-height: 1.5;
    font-weight: 400;
    background-color: #e6e6e6;
    padding: 5px 15px;
  }
  & h5 {
    font-size: 2rem;
    position: relative;
    margin-top: 2rem;
    line-height: 1.5;
    font-weight: 500;
  }
  /* 段落ブロック */
  & p {
    line-height: 1.8;
    margin-top: 2rem;
    margin-bottom: 0;
  }
  & p:last-child {
    margin-bottom: 0;
  }
  /* 順不同リストブロック */
  & ul {
    margin-top: 3rem;
    line-height: 2;
  }
  & ul li {
    list-style-type: disc;
    margin-left: 2em;
  }
  /* 順序リストブロック */
  & ol {
    margin-top: 3rem;
    line-height: 2;
  }
  & ol li {
    margin-left: 2em;
  }
  /* 引用ブロック */
  & blockquote {
    position: relative;
    border-left: 4px solid var(--color-gray-300);
    padding: 3rem 3rem 3rem 2rem;
    margin-top: 3rem;
    width: fit-content;
    background-color: #fff;
  }
  & blockquote p {
    position: relative;
    padding-left: 3rem;
    &:first-of-type {
      margin-top: 0;
    }
  }
  & blockquote cite {
    display: block;
    font-size: 16px;
    color: #888;
    text-align: right;
  }
  /* 画像ブロック */
  & .wp-block-image {
    margin-top: 3rem;
  }
  /* テーブルブロック */
  & .wp-block-table {
    margin-top: 4rem;
  }
  & .wp-block-table table {
    margin-bottom: 10px;
    width: 100%;
  }
  & .wp-block-table table th,
  & .wp-block-table table td {
    padding: 20px;
  }
  & .wp-block-table .wp-element-caption {
    font-size: 15px;
  }

  .wp-block-gallery {
    margin-top: 4rem;
  }

  .wp-element-caption {
    position: relative !important;
    background: none !important;
    height: auto !important;
    color: var(--color-main) !important;
    text-shadow: none !important;
    flex-basis: auto !important;
    padding: 10px 0 0 !important;
  }

  .wp-block-image {
    &::before {
      display: none !important;
    }
    img {
      flex: auto !important;
    }
  }

  .wp-block-embed {
    margin-top: 40px;
  }

  .wp-block-embed iframe {
    width: 100%;
    height: auto;
    aspect-ratio: 16 / 9;
    max-width: 750px;
    margin-inline: auto;
    display: block;
  }

  .wp-block-buttons {
    margin-top: 30px;
  }

  .wp-block-button {
    max-width: 300px;
    width: 100%;

    a:not([href]):not([tabindex]) {
      padding: 15px 25px;
      color: var(--color-main);
      text-align: center;
      display: block;
      border: 1px solid var(--color-main);
      position: relative;
      transition: all 0.3s ease;
      background: #fff;
      border-radius: 0;
      font-size: 16px;

      &::before,
      &::after {
        content: "";
        position: absolute;
        top: calc(50% - 0.5px);
        right: 15px;
        width: 8px;
        height: 1px;
        border-radius: 9999px;
        background-color: var(--color-main);
        transform-origin: calc(100% - 0.5px) 50%;
      }

      &::before {
        transform: rotate(45deg);
      }

      &::after {
        transform: rotate(-45deg);
      }

      &:hover {
        opacity: 1;
        text-decoration: none;
        background-color: var(--color-main);
        color: #fff;

        &::before,
        &::after {
          background-color: #fff;
        }
      }
    }
  }
}

@media screen and (max-width: 600px) {
  .wp-block-gallery {
    .wp-block-image {
      width: 100%!important;
    }
  }
}